View Issue Details

IDProjectCategoryView StatusLast Update
0023446mantisbtperformancepublic2017-10-28 19:08
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.8.0Fixed in Version2.8.0 
Summary0023446: Unneeded files delivered if Mantis Graphs plugin is enabled
Description

We do request/deliver chart.bundle-2.1.6.min.js, chart-2.1.6.min.js and MantisGraph.js with each page request if Graphs plugin is enabled.

All in all about 322KB are transferred when accessing Mantis for the first time.
The files are cached, but they are still causing unneeded round trips to the server.

Most of the time the files are not needed as

  • most of the users do not have access to the graphs ($g_view_summary_threshold = MANAGER)
  • most of the pages don't need the scripts (might change in future, e.g. if we should have some graphs on My View page)
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 5df95f55

2017-10-09 10:36:43

atrol

Details Diff
Don't deliver unneeded JavaScript if Graphs plugin is enabled

Fixes 0023446
mod - plugins/MantisGraph/MantisGraph.php Diff File

Issue History

Date Modified Username Field Change
2017-10-09 10:26 atrol New Issue
2017-10-09 10:26 atrol Status new => assigned
2017-10-09 10:26 atrol Assigned To => atrol
2017-10-09 10:40 atrol Note Added: 0057914
2017-10-11 17:37 atrol Changeset attached => MantisBT master 5df95f55
2017-10-11 17:37 atrol Status assigned => resolved
2017-10-11 17:37 atrol Resolution open => fixed
2017-10-11 17:37 atrol Fixed in Version => 2.8.0
2017-10-28 19:08 vboctor Status resolved => closed